"{\n \"message\": \"The given data was invalid.\",\n \"errors\": {\n \"name\": [\n \"The name field is required.\"\n ],\n \"amount\": [\n \"The amount field is required.\"\n ],\n \"cycle\": [\n \"The cycle field is required.\"\n ]\n }\n}"
"{\n \"message\": \"The given data was invalid.\",\n \"errors\": {\n \"name\": [\n \"The name field is required.\"\n ],\n \"amount\": [\n \"The amount field is required.\"\n ],\n \"cycle\": [\n \"The cycle field is required.\"\n ]\n }\n}"
{"docsConfig":{"theme":"almond","$schema":"https://mintlify.com/docs.json","name":"HitPay","colors":{"primary":"#2465DE","light":"#8093B8","dark":"#0D001D"},"logo":{"light":"https://mintcdn.com/hitpay/tAu3T5XO_cvgZAEl/logo/logo_light.svg?fit=max\u0026auto=format\u0026n=tAu3T5XO_cvgZAEl\u0026q=85\u0026s=d716fc5a2e9d6b81235798009c0ae54b","dark":"https://mintcdn.com/hitpay/tAu3T5XO_cvgZAEl/logo/logo_dark.svg?fit=max\u0026auto=format\u0026n=tAu3T5XO_cvgZAEl\u0026q=85\u0026s=c6147eea99aca8183222f59ebfd6a984"},"favicon":"https://mintcdn.com/hitpay/l-n8tkdG_LR85WBs/favicon.png?fit=max\u0026auto=format\u0026n=l-n8tkdG_LR85WBs\u0026q=85\u0026s=14b20e996be8201bfd03eda7f2fbd3d8","api":{"openapi":"openapi.json"},"background":{"color":{"dark":"#090014"}},"navbar":{"links":[{"href":"/apis/guide/build-with-ai","label":"Build with AI"},{"href":"https://hitpayapp.com/contact-us","label":"Contact Sales"}],"primary":{"type":"button","label":"Sign In","href":"https://dashboard.hit-pay.com/login"}},"footer":{"socials":{"twitter":"https://twitter.com/officialhitpay","github":"https://github.com/hit-pay","instagram":"https://www.instagram.com/hitpayapp","linkedin":"https://www.linkedin.com/company/hit-pay"}},"seo":{"metatags":{"charset":"UTF-8","viewport":"width=device-width, initial-scale=1.0","keywords":"HitPay, payment API, PayNow, FPX, GrabPay, DuitNow, GCash, QR Ph, Southeast Asia payments, Singapore payment gateway, Malaysia payment gateway, QR code payments, webhook, recurring billing","author":"HitPay Engineering","robots":"index, follow","googlebot":"index, follow","google":"notranslate","generator":"Mintlify","color-scheme":"light dark","language":"en","copyright":"Copyright 2025","reply-to":"[email protected]","distribution":"global","coverage":"Worldwide","category":"Technology","target":"all","HandheldFriendly":"True","MobileOptimized":"375","og:type":"website","og:image":"https://framerusercontent.com/images/zkNiwO9kMAgdsd2FcDcpA53J8A.png","og:locale":"en_US","twitter:image":"https://framerusercontent.com/images/zkNiwO9kMAgdsd2FcDcpA53J8A.png","og:site_name":"HitPay Docs","application-name":"HitPay Docs"},"indexing":"all"},"fonts":{"heading":{"family":"Inter"},"body":{"family":"Inter"}},"styling":{"codeblocks":"system","latex":true},"integrations":{"posthog":{"apiKey":"phc_C3x4n16hvHVOguuvC1baLJU77wJCVwYldHKgQU9wNXd","apiHost":"https://app.posthog.com"}},"contextual":{"options":["chatgpt","copy"],"display":"header"},"metadata":{"timestamp":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"hitpay","hasAudioNarration":false,"actualSubdomain":"hitpay","customDomains":["docs.hitpayapp.com"],"gitSource":{"type":"github","owner":"hit-pay","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6afb7ddb0f0b81696aeb4d03","clientVersion":"0.0.4167","searchFilterCounts":[{"language":"default","tag":"Documentation","count":170},{"language":"default","tag":"API Reference","count":156},{"language":"default","tag":"Point of Sale","count":39},{"language":"default","tag":"Integrations","count":34},{"language":"default","tag":"Developers","count":29},{"language":"default","tag":"Appendix","count":19},{"language":"default","tag":"Recurring Billing","count":17},{"language":"default","tag":"POS App Features","count":17},{"language":"default","tag":"Terminals \u0026 Devices","count":16},{"language":"default","tag":"Online Store","count":16}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"body:has(#labs-title-logo) #page-title::before{content:\"\";display:inline-block;width:1.15em;height:1.15em;margin-right:0.4em;vertical-align:-0.22em;background:url(\"/images/labs/hitpay-labs-logo.svg\") center / contain no-repeat}"}],"page":{"pagePath":"apis/recurring-billing/create-plan","slug":"/apis/recurring-billing/create-plan","pageMetadata":{"title":"Create Subscription Plan","description":"Create a subscription plan with name, amount, and billing frequency","openapi":"post /v1/subscription-plan","href":"/apis/recurring-billing/create-plan"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Create a subscription plan with name, amount, and billing frequency\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":"system","config":{},"pageMetadata":{"title":"Create Subscription Plan","description":"Create a subscription plan with name, amount, and billing frequency","openapi":"post /v1/subscription-plan","href":"/apis/recurring-billing/create-plan"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Create a Subscription Plan","description":"Create a subscription plan with name, amount, and billing frequency","operationId":"create-subscription-plan","parameters":["1ce06b9b-a52f-4ff8-a1fa-04d608c24efe"],"requestBody":"5beadd73-4fb3-46bc-8684-e927440f8e3e","responses":{"200":"402a46c2-0b6e-447a-bdcf-9bbe16697a7a","422":"1ce5fb41-7856-46b6-9ee2-da78c0558f9e"},"deprecated":false,"security":[],"x-readme":{"code-samples":[{"language":"curl","code":"curl --location --request POST 'https://api.sandbox.hit-pay.com/v1/subscription-plan' \\\n--header 'X-BUSINESS-API-KEY: meowmeowmeow' \\\n--header 'X-Requested-With: XMLHttpRequest' \\\n--header 'Content-Type: application/x-www-form-urlencoded' \\\n--data-urlencode 'name=Spotify Premium' \\\n--data-urlencode 'description=Spotify Monthly Subscription' \\\n--data-urlencode 'currency=SGD' \\\n--data-urlencode 'amount=9.90'\n--data-urlencode 'cycle=monthly' \\\n--data-urlencode 'reference=spotify_premium_2022' \\"}],"samples-languages":["curl"]},"method":"post","type":"path","servers":["4d7a7e48-e44c-4b2b-b4e1-b49ded69f206","56fc63f0-5fc9-430b-b317-59bc218bfeaa"],"path":"/v1/subscription-plan","baseUrlOptions":["https://api.hit-pay.com","https://api.sandbox.hit-pay.com"],"title":"Create a Subscription Plan","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"1ce06b9b-a52f-4ff8-a1fa-04d608c24efe":{"name":"X-BUSINESS-API-KEY","in":"header","required":true,"style":"simple","explode":false,"schema":{"type":"string","example":"b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d","isRequired":true,"uniqueKey":"","typeLabel":"string"}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","required":["name","cycle","amount"],"properties":{"name":{"type":"string","description":"Plan name. It's required field","isRequired":true,"uniqueKey":"name","typeLabel":"string"},"cycle":{"type":"string","description":"Billing frequency (weekly / monthly / yearly / custom). If cycle = custom then the user has to send the fields cycle_repeat and cycle_frequency","enum":["weekly","monthly","yearly","custom"],"default":"monthly","isRequired":true,"uniqueKey":"cycle","typeLabel":"enum\u003cstring>"},"amount":{"type":"integer","description":"Min: Depend on the currency, Max: 999999.99. It's required field","maximum":999999.99,"format":"int32","isRequired":true,"uniqueKey":"amount","typeLabel":"integer\u003cint32>"},"description":{"type":"string","description":"The description of subscription plan","uniqueKey":"description","typeLabel":"string"},"cycle_frequency":{"type":"string","description":"[This field is only applicable when cycle = custom] It's the frequency of the cycle [day / week / month / year]","enum":["day","week","month","year"],"uniqueKey":"cycle_frequency","typeLabel":"enum\u003cstring>"},"cycle_repeat":{"type":"integer","description":"[This field is only applicable when cycle = custom] It's the number of times the cycle will repeat.","format":"int32","uniqueKey":"cycle_repeat","typeLabel":"integer\u003cint32>"},"currency":{"type":"string","example":"SGD","uniqueKey":"currency","typeLabel":"string"},"reference":{"type":"string","maxLength":255,"description":"Arbitrary reference number that you can map to your internal reference number. This value cannot be edited by the customer","uniqueKey":"reference","typeLabel":"string"},"redirect_url":{"type":"string","description":"The redirected URL after the payment","uniqueKey":"redirect_url","typeLabel":"string"},"start_date_method":{"type":"string","enum":["sign_up_date","customer_select_date","fixed_date"],"uniqueKey":"start_date_method","typeLabel":"enum\u003cstring>"},"fixed_date":{"type":"number","minimum":1,"maximum":28,"description":"it's required if start_date_method = fixed_date","uniqueKey":"fixed_date","typeLabel":"number"},"times_to_be_charged":{"type":"number","default":1,"minimum":1,"maximum":100,"uniqueKey":"times_to_be_charged","typeLabel":"number"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"name":"\u003cstring>","cycle":"monthly","amount":123,"description":"\u003cstring>","cycle_repeat":123,"currency":"SGD","reference":"\u003cstring>","redirect_url":"\u003cstring>","fixed_date":14.5,"times_to_be_charged":1}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"402a46c2-0b6e-447a-bdcf-9bbe16697a7a":{"description":"200","content":{"application/json":{"examples":{"Result":{"title":"Result","value":"{\n \"id\": \"973ee344-6737-4897-9929-edbc9d7bf433\",\n \"name\": \"Spotify Premium\",\n \"description\": \"Spotify Monthly Subscription\",\n \"cycle\": \"monthly\",\n \"cycle_repeat\": null,\n \"cycle_frequency\": null,\n \"currency\": \"sgd\",\n \"amount\": 9.90,\n \"reference\": \"spotify_premium_2022\",\n \"created_at\": \"2022-09-12T14:19:26\",\n \"updated_at\": \"2022-09-12T14:19:26\"\n}"}},"schema":{"type":"object","properties":{"id":{"type":"string","examples":["973ee344-6737-4897-9929-edbc9d7bf433"],"uniqueKey":"id","typeLabel":"string"},"name":{"type":"string","examples":["Spotify Premium"],"uniqueKey":"name","typeLabel":"string"},"description":{"type":"string","examples":["Spotify Monthly Subscription"],"uniqueKey":"description","typeLabel":"string"},"cycle":{"type":"string","examples":["monthly"],"uniqueKey":"cycle","typeLabel":"string"},"cycle_repeat":{"oneOf":[{}],"uniqueKey":"cycle_repeat","typeLabel":"any"},"cycle_frequency":{"oneOf":[{}],"uniqueKey":"cycle_frequency","typeLabel":"any"},"currency":{"type":"string","examples":["sgd"],"uniqueKey":"currency","typeLabel":"string"},"amount":{"type":"number","examples":[9.9],"default":0,"uniqueKey":"amount","typeLabel":"number"},"reference":{"type":"string","examples":["spotify_premium_2022"],"uniqueKey":"reference","typeLabel":"string"},"created_at":{"type":"string","examples":["2022-09-12T14:19:26"],"uniqueKey":"created_at","typeLabel":"string"},"updated_at":{"type":"string","examples":["2022-09-12T14:19:26"],"uniqueKey":"updated_at","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"exampleType":"examples"}},"exampleType":"examples"},"1ce5fb41-7856-46b6-9ee2-da78c0558f9e":{"description":"422","content":{"application/json":{"examples":{"Result":{"title":"Result","value":"{\n \"message\": \"The given data was invalid.\",\n \"errors\": {\n \"name\": [\n \"The name field is required.\"\n ],\n \"amount\": [\n \"The amount field is required.\"\n ],\n \"cycle\": [\n \"The cycle field is required.\"\n ]\n }\n}"}},"schema":{"type":"object","properties":{"message":{"type":"string","examples":["The given data was invalid."],"uniqueKey":"message","typeLabel":"string"},"errors":{"type":"object","properties":{"name":{"type":"array","items":{"type":"string","examples":["The name field is required."],"uniqueKey":"errors.name.items.[INDEX]","typeLabel":"string"},"uniqueKey":"errors.name","typeLabel":"string[]"},"amount":{"type":"array","items":{"type":"string","examples":["The amount field is required."],"uniqueKey":"errors.amount.items.[INDEX]","typeLabel":"string"},"uniqueKey":"errors.amount","typeLabel":"string[]"},"cycle":{"type":"array","items":{"type":"string","examples":["The cycle field is required."],"uniqueKey":"errors.cycle.items.[INDEX]","typeLabel":"string"},"uniqueKey":"errors.cycle","typeLabel":"string[]"}},"uniqueKey":"errors","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"exampleType":"examples"}},"exampleType":"examples"}},"security":{},"servers":{"4d7a7e48-e44c-4b2b-b4e1-b49ded69f206":{"url":"https://api.hit-pay.com","description":"Production"},"56fc63f0-5fc9-430b-b317-59bc218bfeaa":{"url":"https://api.sandbox.hit-pay.com","description":"Sandbox"}}},"originalFileLocation":"openapi.json"},"subdomain":"hitpay","siteName":"HitPay","title":"Create Subscription Plan - HitPay","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-02-25T12:33:48.295Z","gitLastModified":"2026-02-25T12:32:36.000Z","originalFileLocation":"apis/recurring-billing/create-plan.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Create a subscription plan with name, amount, and billing frequency\">\u003cmeta data-mint-head name=\"keywords\" content=\"HitPay, payment API, PayNow, FPX, GrabPay, DuitNow, GCash, QR Ph, Southeast Asia payments, Singapore payment gateway, Malaysia payment gateway, QR code payments, webhook, recurring billing\">\u003cmeta data-mint-head name=\"application-name\" content=\"HitPay\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003cmeta data-mint-head name=\"robots\" content=\"index, follow\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/hitpay/Qx6jai9ONFQgie0m/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/hitpay/Qx6jai9ONFQgie0m/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/hitpay/Qx6jai9ONFQgie0m/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/hitpay/Qx6jai9ONFQgie0m/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/hitpay/Qx6jai9ONFQgie0m/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/hitpay/Qx6jai9ONFQgie0m/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/hitpay/Qx6jai9ONFQgie0m/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/hitpay/Qx6jai9ONFQgie0m/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/hitpay/Qx6jai9ONFQgie0m/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create Subscription Plan - HitPay\">\u003cmeta data-mint-head property=\"og:description\" content=\"Create a subscription plan with name, amount, and billing frequency\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"HitPay Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.hitpayapp.com/apis/recurring-billing/create-plan\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://framerusercontent.com/images/zkNiwO9kMAgdsd2FcDcpA53J8A.png\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create Subscription Plan - HitPay\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Create a subscription plan with name, amount, and billing frequency\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://framerusercontent.com/images/zkNiwO9kMAgdsd2FcDcpA53J8A.png\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/hitpay/Qx6jai9ONFQgie0m/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"HitPay\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#2465DE\">\u003cmeta data-mint-head name=\"og:locale\" content=\"en_US\">\u003cmeta data-mint-head name=\"charset\" content=\"UTF-8\">\u003cmeta data-mint-head name=\"viewport\" content=\"width=device-width, initial-scale=1.0\">\u003cmeta data-mint-head name=\"author\" content=\"HitPay Engineering\">\u003cmeta data-mint-head name=\"googlebot\" content=\"index, follow\">\u003cmeta data-mint-head name=\"google\" content=\"notranslate\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003cmeta data-mint-head name=\"color-scheme\" content=\"light dark\">\u003cmeta data-mint-head name=\"language\" content=\"en\">\u003cmeta data-mint-head name=\"copyright\" content=\"Copyright 2025\">\u003cmeta data-mint-head name=\"reply-to\" content=\"[email protected]\">\u003cmeta data-mint-head name=\"distribution\" content=\"global\">\u003cmeta data-mint-head name=\"coverage\" content=\"Worldwide\">\u003cmeta data-mint-head name=\"category\" content=\"Technology\">\u003cmeta data-mint-head name=\"target\" content=\"all\">\u003cmeta data-mint-head name=\"HandheldFriendly\" content=\"True\">\u003cmeta data-mint-head name=\"MobileOptimized\" content=\"375\">\u003cmeta data-mint-head name=\"application-name\" content=\"HitPay Docs\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.hitpayapp.com/apis/recurring-billing/create-plan\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/apis/recurring-billing/create-plan.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.hitpayapp.com/#organization\",\"name\":\"HitPay\",\"url\":\"https://docs.hitpayapp.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/hitpay/tAu3T5XO_cvgZAEl/logo/logo_light.svg?fit=max\u0026auto=format\u0026n=tAu3T5XO_cvgZAEl\u0026q=85\u0026s=d716fc5a2e9d6b81235798009c0ae54b\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.hitpayapp.com#website\",\"name\":\"HitPay\",\"url\":\"https://docs.hitpayapp.com\",\"publisher\":{\"@id\":\"https://docs.hitpayapp.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.hitpayapp.com/apis/recurring-billing/create-plan#webpage\",\"url\":\"https://docs.hitpayapp.com/apis/recurring-billing/create-plan\",\"name\":\"Create Subscription Plan\",\"description\":\"Create a subscription plan with name, amount, and billing frequency\",\"dateModified\":\"2026-02-25T12:32:36.000Z\",\"isPartOf\":{\"@id\":\"https://docs.hitpayapp.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.hitpayapp.com/apis/recurring-billing/create-plan#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.hitpayapp.com/apis/recurring-billing/create-plan#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"API Reference\",\"item\":\"https://docs.hitpayapp.com/apis/payment-request/create-request\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Create Subscription Plan\",\"item\":\"https://docs.hitpayapp.com/apis/recurring-billing/create-plan\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.hitpayapp.com/apis/recurring-billing/create-plan#apireference\",\"headline\":\"Create Subscription Plan\",\"name\":\"Create Subscription Plan\",\"description\":\"Create a subscription plan with name, amount, and billing frequency\",\"url\":\"https://docs.hitpayapp.com/apis/recurring-billing/create-plan\",\"mainEntityOfPage\":{\"@id\":\"https://docs.hitpayapp.com/apis/recurring-billing/create-plan#webpage\"},\"image\":\"https://framerusercontent.com/images/zkNiwO9kMAgdsd2FcDcpA53J8A.png\",\"dateModified\":\"2026-02-25T12:32:36.000Z\",\"publisher\":{\"@id\":\"https://docs.hitpayapp.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.hitpayapp.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"HitPay\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"HitPay\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/apis/recurring-billing/create-plan.md","siteName":"HitPay","nav":{"global":null,"dropdowns":[{"dropdown":"Documentation","icon":"book","groups":[{"group":"Getting Started","pages":[{"title":"Introduction","icon":"book-open","mode":"frame","href":"/introduction"},{"title":"About HitPay","icon":"circle-info","href":"/about"},{"title":"Account Setup","icon":"user-plus","href":"/setup/account-creation"},{"title":"Business Verification","icon":"badge-check","href":"/setup/business-verification"},{"title":"Payments","icon":"credit-card","href":"/payments/payments"},{"title":"Availability by Market","icon":"globe","href":"/getting-started/availability-by-market"},{"title":"Wallet Balances","icon":"wallet","href":"/getting-started/wallet-balances"}]},{"group":"Developers","pages":[{"title":"API Overview","icon":"credit-card","href":"/apis/overview"},{"title":"API Sandbox Guide","sidebarTitle":"Sandbox","icon":"box-open","href":"/apis/guide/sandbox"},{"title":"Online Payments","icon":"globe","href":"/apis/guide/online-payments"},{"group":"Embedded Payments","icon":"qrcode","pages":[{"title":"Overview","href":"/apis/guide/embedded-qr-code-payments/domestic-qr"},{"title":"Borderless QR via API","href":"/apis/guide/embedded-qr-code-payments/borderless-qr"}]},{"group":"In-Person Payments","icon":"mobile-signal","pages":[{"title":"Overview","href":"/apis/guide/in-person-payments/overview"},{"title":"Handling Failed Payment Requests","href":"/apis/guide/in-person-payments/failed-payments"},{"title":"Testing in Sandbox","href":"/apis/guide/in-person-payments/testing"}]},{"group":"Billing","icon":"calendar-days","pages":[{"title":"Recurring Billing","href":"/apis/guide/recurring-billing"},{"title":"Save Payment Method","href":"/apis/guide/save-payment-method"},{"title":"Embedded Recurring APMs","href":"/apis/guide/embedded-recurring-billing"}]},{"title":"Webhooks","icon":"webhook","href":"/apis/guide/events"},{"group":"Platforms","icon":"sitemap","pages":[{"title":"Overview","href":"/platforms/overview"},{"title":"Connect Merchant Accounts (OAuth)","sidebarTitle":"Connect with OAuth","tag":"Beta","href":"/platforms/oauth"},{"title":"Platform Key","href":"/apis/guide/platform-apis"}]},{"group":"Reference","icon":"book","pages":[{"title":"Payment Methods","href":"/apis/guide/payment-methods-reference"},{"title":"Data Flow","href":"/appendix/data-flow"}]},{"group":"AI Tools","icon":"microchip-ai","pages":[{"title":"Build with AI","icon":"sparkles","href":"/apis/guide/build-with-ai"},{"title":"AI Developer Tools Overview","sidebarTitle":"Overview","href":"/apis/guide/ai-developer-tools"},{"group":"HitPay MCP Server","pages":[{"title":"HitPay MCP Server","sidebarTitle":"MCP Server","tag":"New","href":"/apis/guide/mcp-server"},{"title":"Use the HitPay MCP Server in Claude","sidebarTitle":"Claude","href":"/apis/guide/mcp-server/claude"},{"title":"Use the HitPay MCP Server in Cursor","sidebarTitle":"Cursor","href":"/apis/guide/mcp-server/cursor"},{"title":"Use the HitPay MCP Server in Claude Code","sidebarTitle":"Claude Code","href":"/apis/guide/mcp-server/claude-code"}]},{"title":"Use WebMCP to complete HitPay payments in a browser","sidebarTitle":"WebMCP","tag":"New","href":"/apis/guide/webmcp"},{"title":"HitPay Meta Muse Connector","sidebarTitle":"Meta Muse","tag":"New","href":"/apis/guide/meta-muse"},{"title":"Claude Code Plugin","href":"/apis/guide/claude-code-plugin"},{"title":"AI Agent Skills","tag":"Beta","href":"/apis/guide/ai-skills"},{"title":"HitPay CLI","tag":"Beta","href":"/apis/guide/cli"},{"title":"HitPay for Vercel","sidebarTitle":"Vercel","tag":"New","href":"/apis/guide/vercel"}]}]},{"group":"Point of Sale","pages":[{"title":"Getting Started","icon":"play","href":"/pos/overview"},{"title":"POS Payment Methods","icon":"credit-card","href":"/pos/payment-methods"},{"group":"Terminals \u0026 Devices","icon":"mobile-retro","pages":[{"title":"Overview","href":"/pos/readers/overview"},{"title":"Sunmi V3 Mix (POS Max)","href":"/pos/readers/pos-max-v3mix"},{"title":"Sunmi V3 (All-in-One)","href":"/pos/readers/sunmi-v3"},{"title":"WisePOS E","href":"/pos/readers/wisepose"},{"title":"WisePad 3","href":"/pos/readers/wisepad3"},{"title":"S700 (FlexiPOS)","href":"/pos/readers/flexipos"},{"title":"M2 Reader","href":"/pos/readers/m2"},{"title":"Mini (AMS1)","href":"/pos/readers/mini-ams1"},{"title":"S1F2 (All-in-One)","href":"/pos/readers/all-in-one-s1f2"},{"title":"Verifone V660P (All-in-One)","href":"/pos/readers/all-in-one-v660p"},{"title":"DX4000 (All-in-One)","href":"/pos/readers/all-in-one-dx4000"},{"title":"HitPay Soundbox","href":"/pos/readers/soundbox"},{"group":"Printers","pages":[{"title":"Receipt Printer","href":"/pos/receipt-printer"},{"title":"Bluetooth Printer","href":"/pos/bluetooth-printer"},{"title":"Advanced Printer","href":"/pos/advanced-printer"},{"title":"Star Bluetooth Printer","href":"/pos/star-bluetooth-printer"},{"title":"Printer Configurations","href":"/pos/printer-configurations"}]}]},{"group":"POS App Features","icon":"cash-register","pages":[{"title":"HitPay Borderless QR","href":"/pos/borderless-qr"},{"title":"Products \u0026 Categories","href":"/pos/products-categories"},{"title":"Multi-Currency Products","href":"/pos/multi-currency-products"},{"title":"Customers","href":"/pos/customers"},{"title":"Shipping \u0026 Pickup","href":"/pos/shipping-pickup-pos"},{"title":"Receipts","href":"/pos/receipts"},{"title":"Surcharge","href":"/pos/surcharge"},{"title":"Discounts","href":"/pos/discounts"},{"title":"Taxes","href":"/pos/taxes"},{"title":"Tips","href":"/pos/tips"},{"title":"Locations","href":"/pos/locations"},{"title":"Order Form Customisation","href":"/pos/order-form-customisation-pos"},{"title":"Modes","href":"/pos/modes"},{"title":"Customer Display","href":"/pos/customer-display"},{"title":"Quick Collect Kiosk","href":"/pos/quick-collect-kiosk"},{"title":"Mall GTO","href":"/pos/mall-gto"},{"title":"Cash Drawer","href":"/pos/cash-drawer"},{"title":"Barcode Scanner","href":"/pos/barcode-scanner"},{"title":"Deep Linking","href":"/pos/deep-linking"}]},{"group":"Tap to Pay","icon":"mobile-signal-out","pages":[{"title":"Tap to Pay on Android","icon":"android","href":"/pos/readers/tap-to-pay"},{"title":"Tap to Pay on iPhone","icon":"apple","href":"/pos/readers/tap-to-pay-iphone"}]},{"title":"Transactions \u0026 Reports","icon":"list","href":"/pos/transactions"},{"title":"Orders","icon":"cart-shopping","href":"/pos/orders-pos"}]},{"group":"Online Store","pages":[{"title":"Setup Online Store","icon":"store","href":"/store/setup-online-store"},{"title":"Store Design","icon":"paintbrush-pencil","href":"/store/store-design"},{"title":"Shipping and Pickup","icon":"truck","href":"/store/shipping-pickup"},{"group":"Store Features","icon":"sliders","pages":[{"title":"Orders","href":"/store/orders"},{"title":"Products","href":"/store/products"},{"title":"Product Customisation","href":"/store/product-customisation"},{"title":"Categories","href":"/store/categories"},{"title":"Discounts \u0026 Coupons","href":"/store/discounts-coupons"},{"title":"Custom Domain","href":"/store/custom-domain"},{"title":"Store Settings","href":"/store/store-settings"},{"title":"SEO Settings","href":"/store/seo-settings"},{"title":"Analytics","href":"/store/analytics"},{"title":"Tax Settings","href":"/store/tax-settings"},{"title":"Order Form Customization","href":"/store/order-form-customisation"},{"title":"Button Label Settings","href":"/store/buttons-label"},{"title":"Multi-Currency","href":"/store/multi-currency"}]}]},{"group":"Tools","pages":[{"title":"Payment Links","icon":"link","href":"/payment-links/payment-links"},{"group":"Static QR","icon":"qrcode","pages":[{"title":"Static QRs","href":"/static-qrs/static-qr"},{"title":"In-App Sound Notification","href":"/static-qrs/soundbox-mobile"},{"title":"HitPay Soundbox","href":"/pos/readers/soundbox"}]},{"title":"Invoicing","icon":"file-invoice","href":"/invoicing/invoice-basics"},{"group":"Recurring Billing","icon":"calendar-days","pages":[{"title":"Plans","href":"/billing/plans"},{"title":"Subscriptions","href":"/billing/subscriptions"}]}]},{"group":"Finance","pages":[{"title":"Virtual Accounts","icon":"building-columns","href":"/finance/virtual-accounts"},{"group":"Bill Pay","icon":"file-invoice-dollar","pages":[{"title":"Overview","href":"/finance/bill-pay/overview"},{"title":"Vendors","href":"/finance/bill-pay/vendors"},{"title":"Approval Workflows","href":"/finance/bill-pay/approvals"},{"title":"Payments \u0026 Scheduling","href":"/finance/bill-pay/payments-scheduling"},{"title":"Batch Actions","href":"/finance/bill-pay/batch-actions"},{"title":"Xero Integration","href":"/finance/bill-pay/xero-integration"}]}]},{"group":"Manage Payments","pages":[{"group":"Cross-Border Payments","icon":"globe","pages":[{"title":"Overview","href":"/payments/cross-border-payments"},{"title":"Adaptive Pricing","href":"/payments/adaptive-pricing"},{"title":"HitPay Borderless QR","href":"/pos/borderless-qr"},{"title":"Multi-Currency Products","href":"/pos/multi-currency-products"}]},{"title":"Checkout Customisation","icon":"ruler-combined","href":"/payments/checkout-customisation"},{"title":"Admin Fees","icon":"money-bill-trend-up","href":"/payments/admin-fees"},{"title":"Refunds and Chargebacks","icon":"arrow-rotate-left","href":"/payments/refund"},{"title":"Payment Reports","icon":"chart-bar","href":"/reporting/payments"}]},{"group":"Integrations","pages":[{"title":"Overview","icon":"flag-checkered","href":"/plugins/overview"},{"group":"Shopify","icon":"shopify","pages":[{"title":"Shopify","sidebarTitle":"Online Store","icon":"store","href":"/plugins/shopify"}]},{"title":"WooCommerce","icon":"wordpress","href":"/plugins/woocommerce"},{"title":"Wix","icon":"wix","href":"/plugins/wix"},{"group":"Payment Plugins","icon":"puzzle","pages":[{"title":"Magento","href":"/plugins/magento"},{"title":"PrestaShop","href":"/plugins/prestashop"},{"title":"Ecwid","href":"/plugins/ecwid"},{"title":"OpenCart","href":"/plugins/opencart"},{"title":"Odoo","href":"/plugins/odoo"},{"title":"GiveWP","href":"/plugins/givewp"},{"title":"WordPress","href":"/plugins/wordpress"},{"title":"Shopcada","href":"/plugins/shopcada"},{"title":"EasyStore","href":"/plugins/easystore"},{"title":"Shoplazza","href":"/plugins/shoplazza"},{"title":"WHMCS","href":"/plugins/whmcs"},{"title":"Google Forms","href":"/plugins/google-forms"},{"title":"Cal.com","href":"/connections/cal"},{"group":"Recurring","pages":[{"title":"WooCommerce (Recurring)","href":"/plugins/recurring/woocommerce"}]},{"group":"POS Plugins","pages":[{"title":"WooCommerce POS Plugin","href":"/plugins/pos/woocommerce"}]}]},{"group":"Accounting","icon":"calculator","pages":[{"title":"Xero Invoices Payment","href":"/plugins/xero"},{"title":"Xero Sync","href":"/connections/xero"},{"title":"QuickBooks Sync","href":"/connections/quickbooks"},{"title":"Zoho Books Sync","href":"/connections/zoho-books"},{"title":"Bukku Sync","href":"/connections/bukku"}]},{"group":"Stripe","icon":"stripe","pages":[{"title":"Standard Connect Integration","href":"/connections/stripe/standard-connect"},{"group":"Custom Payment Methods","pages":[{"title":"Overview","href":"/connections/stripe/overview"},{"title":"One-Time Payments","href":"/connections/stripe/one-time-payments"},{"title":"Subscriptions (Auto-Charge)","href":"/connections/stripe/auto-charge"},{"title":"Subscriptions (Out-of-Band)","href":"/connections/stripe/out-of-band"},{"title":"Refunds","href":"/connections/stripe/refunds"}]}]},{"group":"Messaging","icon":"message-lines","pages":[{"title":"Twilio Messaging","href":"/connections/twilio"}]},{"group":"Automation","icon":"robot","pages":[{"title":"Zapier","icon":"z","href":"/connections/zapier"},{"title":"Make.com","icon":"M","href":"/connections/make"}]},{"group":"Loyalty","icon":"gifts","pages":[{"title":"Eber","href":"/connections/eber"}]}]},{"group":"HitPay Labs","pages":[{"title":"HitPay Labs","sidebarTitle":"Overview","icon":"flask","href":"/labs/overview"},{"title":"Agentic Discovery Studio","sidebarTitle":"Agentic Discovery Studio","icon":"robot","href":"/labs/agentic-discovery-studio"},{"title":"Shopify POS","sidebarTitle":"Shopify POS","icon":"cash-register","tag":"Beta","href":"/plugins/shopify-pos"},{"title":"Readiness Check","sidebarTitle":"Readiness Check","icon":"list-check","href":"/labs/readiness-check"}]},{"group":"Appendix","pages":[{"group":"User Management","icon":"users","pages":[{"title":"Inviting Users","icon":null,"href":"/setup/user-management"},{"title":"Roles \u0026 Permissions","icon":null,"href":"/setup/user-management-roles"},{"title":"Cashier Role Restrictions","icon":null,"href":"/setup/user-management-cashier"}]},{"title":"Business Details","icon":"building","href":"/settings/business-details"},{"title":"Notifications","icon":"bell","href":"/settings/notifications"},{"title":"Reseller Partners","icon":"handshake","href":"/partner/overview"},{"title":"Refer and Earn","icon":"gift","href":"/partner/refer-and-earn"},{"group":"Security","icon":"shield-check","pages":[{"title":"Security","href":"/security"},{"title":"Two-Factor Authentication","href":"/setup/2fa"},{"title":"Audit Logs","href":"/security/audit-logs"}]},{"group":"Document Requirements","icon":"passport","pages":[{"title":"Singapore","href":"/onboarding/requirements-sg"},{"title":"Malaysia","href":"/onboarding/requirements-my"},{"title":"Philippines","href":"/onboarding/requirements-ph"},{"title":"Thailand","href":"/onboarding/requirements-th"},{"title":"Hong Kong","href":"/onboarding/requirements-hk"},{"title":"Australia","href":"/onboarding/requirements-au"},{"title":"New Zealand","href":"/onboarding/requirements-nz"},{"title":"Business Restrictions","href":"/onboarding/business-restrictions"}]},{"title":"Request for Information","icon":"file-circle-question","href":"/settings/request-for-information"}]}]},{"dropdown":"API Reference","icon":"code","groups":[{"group":"API Reference","pages":[{"group":"Payment Request","pages":[{"title":"Create Payment Request","openapi":"POST /v1/payment-requests","href":"/apis/payment-request/create-request"},{"title":"List Payment Requests","openapi":"get /v1/payment-requests","href":"/apis/payment-request/get-payment-requests"},{"title":"Get Payment Status","openapi":"get /v1/payment-requests/{request_id}","href":"/apis/payment-request/get-payment-status"},{"title":"Update Payment Request","openapi":"put /v1/payment-requests/{request_id}","href":"/apis/payment-request/update-request"},{"title":"Delete Payment Request","openapi":"delete /v1/payment-requests/{request_id}","href":"/apis/payment-request/delete-request"}]},{"group":"Charges","pages":[{"title":"List Charges","openapi":"get /v1/charges","href":"/apis/charges/get-charges"},{"title":"Get Charge Detail","openapi":"get /v1/charges/{charge_id}","href":"/apis/charges/get-charge-detail"},{"title":"Print Charge Receipt","openapi":"post /v1/charges/{charge_id}/receipt/print","href":"/apis/charges/print-charge-receipt"},{"title":"Export Charges","openapi":"get /v1/charges/export","href":"/apis/charges/export-charges"}]},{"group":"Refund","pages":[{"title":"Create Refund","openapi":"post /v1/refund","href":"/apis/refund/refund"},{"title":"Get refund detail","openapi":"get /v1/refund/{refund_id}","href":"/apis/refund/refund-details"}]},{"group":"Balance","pages":[{"title":"Get Balances","openapi":"get /v1/balances","href":"/apis/balance/get-balances"},{"title":"List Balance Transactions","openapi":"get /v1/balances/{balance_provider}/transactions","href":"/apis/balance/get-transactions"},{"title":"Export Balance Transactions","openapi":"post /v1/balances/{balance_provider}/transactions/export","href":"/apis/balance/export-transactions"}]},{"group":"Payouts","pages":[{"title":"List Payouts","openapi":"get /v1/payouts","href":"/apis/payouts/get-payouts"},{"title":"Get Payout Details","openapi":"get /v1/payouts/{payout_id}","href":"/apis/payouts/get-payout-details"},{"title":"List Payout Charges","openapi":"get /v1/payouts/{payout_id}/charges","href":"/apis/payouts/get-payout-charges"},{"title":"Mock Payout","description":"Mock a payout of available balance. Sandbox only.","openapi":"post /v1/payouts","href":"/apis/payouts/mock-payout"}]},{"group":"Recurring Billing","pages":[{"group":"Subscription Plan","pages":[{"title":"Create Subscription Plan","openapi":"post /v1/subscription-plan","href":"/apis/recurring-billing/create-plan"},{"title":"Update Subscription Plan","description":"Update a subscription plan's name, amount, or frequency","openapi":"put /v1/subscription-plan/{plan_id}","href":"/apis/recurring-billing/update-plan"},{"title":"Get Subscription Plan Details","openapi":"get /v1/subscription-plan/{plan_id}","href":"/apis/recurring-billing/get-plan-details"},{"title":"List Subscription Plans","openapi":"get /v1/subscription-plan","href":"/apis/recurring-billing/get-all-plans"},{"title":"Delete Subscription Plan","openapi":"delete /v1/subscription-plan/{plan_id}","href":"/apis/recurring-billing/delete-plan"}]},{"group":"Recurring Billing","pages":[{"title":"Create Recurring Billing","openapi":"post /v1/recurring-billing","href":"/apis/recurring-billing/create-billing"},{"title":"Update Recurring Billing","openapi":"put /v1/recurring-billing/{recurring_billing_id}","href":"/apis/recurring-billing/update-billing"},{"title":"List Recurring Billings","openapi":"get /v1/recurring-billing","href":"/apis/recurring-billing/get-all-billing"},{"title":"Delete Recurring Billing","openapi":"delete /v1/recurring-billing/{recurring_billing_id}","href":"/apis/recurring-billing/delete-billing"}]},{"group":"Saved Card Billing","pages":[{"title":"Charge Saved Card","openapi":"post /v1/charge/recurring-billing/{recurring_billing_id}","href":"/apis/recurring-billing/charge-saved-card"},{"title":"Get Saved Card Details","openapi":"get /v1/recurring-billing/{recurring_billing_id}","href":"/apis/recurring-billing/get-saved-card-details"}]}]},{"group":"Account","pages":[{"title":"Get Account Status","openapi":"get /v1/account-status","href":"/apis/accounts/account-status"}]},{"group":"Orders","pages":[{"title":"List Orders","openapi":"get /v1/orders","href":"/apis/order/get-all-order"},{"title":"Get Order Details","openapi":"get /v1/orders/{order_id}","href":"/apis/order/get-order-details"},{"title":"Delete Order","openapi":"delete /v1/orders/{order_id}","href":"/apis/order/delete-order"}]},{"group":"Products","pages":[{"title":"List Products","openapi":"get /v1/products","href":"/apis/product/get-all-products"},{"title":"Create Product","openapi":"post /v1/products","href":"/apis/product/create-product"},{"title":"Get Product Details","openapi":"get /v1/products/{product_id}","href":"/apis/product/get-product-details"},{"title":"Update Product","openapi":"patch /v1/products/{product_id}","href":"/apis/product/update-product"},{"title":"Delete Product","openapi":"delete /v1/products/{product_id}","href":"/apis/product/delete-product"}]},{"group":"Product Category","pages":[{"title":"List Product Categories","openapi":"get /v1/product-category","href":"/apis/product-category/get-all-product-category"}]},{"group":"Coupons","pages":[{"title":"List Coupons","openapi":"get /v1/coupons","href":"/apis/coupon/get-all-coupons"},{"title":"Create Coupon","openapi":"post /v1/coupons","href":"/apis/coupon/create-coupon"},{"title":"Get Coupon Details","openapi":"get /v1/coupons/{coupon_id}","href":"/apis/coupon/get-coupon-details"},{"title":"Update Coupon","openapi":"put /v1/coupons/{coupon_id}","href":"/apis/coupon/update-coupon"},{"title":"Delete Coupon","openapi":"delete /v1/coupons/{coupon_id}","href":"/apis/coupon/delete-coupon"}]},{"group":"Customers","pages":[{"title":"List Customers","openapi":"get /v1/customers","href":"/apis/customers/get-all-customer"},{"title":"Create Customer","openapi":"post /v1/customers","href":"/apis/customers/create-customer"},{"title":"Get Customer Details","openapi":"get /v1/customers/{customer_id}","href":"/apis/customers/get-customer-details"},{"title":"Update Customer","openapi":"patch /v1/customers/{customer_id}","href":"/apis/customers/update-customer"},{"title":"Delete Customer","openapi":"delete /v1/customers/{customer_id}","href":"/apis/customers/delete-customer"}]},{"group":"Staffs","pages":[{"title":"List Staff","openapi":"get /v1/staffs","href":"/apis/staffs/staffs"},{"title":"Get Staff Detail","openapi":"get /v1/staffs/{staff_id}","href":"/apis/staffs/staff-detail"}]},{"group":"Locations","pages":[{"title":"List Locations","openapi":"get /v1/locations","href":"/apis/locations/get-all-locations"},{"title":"Create Location","openapi":"post /v1/locations","href":"/apis/locations/create-location"},{"title":"Get Location","openapi":"get /v1/locations/{location}","href":"/apis/locations/get-location-details"},{"title":"Update Location","openapi":"put /v1/locations/{location}","href":"/apis/locations/update-location"},{"title":"Toggle Location Active Status","openapi":"patch /v1/locations/{location}","href":"/apis/locations/toggle-location-active"},{"title":"Delete Location","openapi":"delete /v1/locations/{location}","href":"/apis/locations/delete-location"}]},{"group":"Invoice","pages":[{"title":"Create Invoice","openapi":"post /v1/invoices","href":"/apis/invoice/create-invoice"},{"title":"Update Invoice","openapi":"put /v1/invoices/{invoice_id}","href":"/apis/invoice/update-invoice"},{"title":"Delete Invoice","openapi":"delete /v1/invoices/{invoice_id}","href":"/apis/invoice/delete-invoice"},{"title":"List Invoices","openapi":"get /v1/invoices","href":"/apis/invoice/get-all-invoice"}]},{"group":"Webhook Events","pages":[{"title":"List Webhook Events","openapi":"get /v1/webhook-events","href":"/apis/webhook-events/get-webhook-events-list"},{"title":"Get Webhook Event Details","openapi":"get /v1/webhook-events/{webhook_event_id}","href":"/apis/webhook-events/get-webhook-event-details"},{"title":"Create Webhook Event","openapi":"post /v1/webhook-events","href":"/apis/webhook-events/create-webhook-event"},{"title":"Update Webhook Event","openapi":"put /v1/webhook-events/{webhook_event_id}","href":"/apis/webhook-events/update-webhook-event"},{"title":"Delete Webhook Event","openapi":"delete /v1/webhook-events/{webhook_event_id}","href":"/apis/webhook-events/delete-webhook-event"}]},{"group":"Static QR Codes","pages":[{"title":"List Static QR Codes","openapi":"get /v1/static_qr","href":"/apis/static-qr/get-static-qr"},{"title":"Get Static QR Details","openapi":"get /v1/static_qr/{static_qr_id}","href":"/apis/static-qr/get-static-qr-details"},{"title":"Create Static QR","openapi":"post /v1/static_qr","href":"/apis/static-qr/create-static-qr"},{"title":"Update Static QR","openapi":"put /v1/static_qr/{static_qr_id}","href":"/apis/static-qr/update-static-qr"},{"title":"Delete Static QR","openapi":"delete /v1/static_qr/{static_qr_id}","href":"/apis/static-qr/delete-static-qr"}]},{"group":"VA (Virtual Account)","pages":[{"title":"Create a virtual account","openapi":"post /v1/virtual-accounts","href":"/apis/virtual-account/create-va"},{"title":"Get virtual account details","openapi":"get /v1/virtual-accounts/{virtual_account_id}","href":"/apis/virtual-account/get-va-details"},{"title":"Get virtual accounts","openapi":"get /v1/virtual-accounts","href":"/apis/virtual-account/get-va-list"}]},{"group":"Notifications","pages":[{"title":"Get Notifications","openapi":"get /v1/notifications","href":"/apis/notifications/get-notifications"},{"title":"Update Notifications","openapi":"put /v1/notifications","href":"/apis/notifications/put-notifications"}]},{"group":"Terminal","pages":[{"title":"List Terminals","openapi":"get /v1/readers","href":"/apis/terminal/get-terminals"},{"title":"Cancel Reader Payment","openapi":"post /v1/readers/cancel","href":"/apis/terminal/cancel-reader"}]}]}]},{"dropdown":"Release Notes","icon":"calendar","groups":[{"group":"Release Notes","pages":[{"title":"Changelog","href":"/changelog"}]}]}]},"basePath":"","title":"Create Subscription Plan - HitPay","buildId":"dpl_9RFrWkXdFTJCytfx6jAofvAaEXr6","deploymentId":"dpl_9RFrWkXdFTJCytfx6jAofvAaEXr6","dynamics":["c2aa737661","b0f84f53ff","a9bb46feb3","2b790eda92"],"chunks":["OpenApiReferenceProvider-BgGj2PGS.js","utils-BhNOqRKb.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-BAgRNUZo.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-CGkb0TPw.js","snippetPresets-ChLkL1a6.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","Page-C7x-eUfk.js","ApiExamples-Ef10Jrbx.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-DlVCnjU8.js","shallow-BA55zJxQ.js","getApiPlaygroundDisplay-DR09dKtp.js","CodeSnippet-BZ8J8Kll.js","CodeSnippets-CcguVheG.js","getPastedJson-D5UqeqBp.js","icon-DpD0l99C.js","MethodPill-Wg2NXsp_.js","DuplicateIcon-CCSyX8lh.js","createIcon-C4Ukv9HX.js","DynamicMarkdown-RhjEuCHC.js","SectionHeading-DL1MykRq.js","axios-vUo_bRtp.js","Markdown-BwQ4RMdp.js","dist-CiVXVcSh.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","katex-YMM-FMeD.js","html-void-elements-mCSPHezU.js","marked.esm-CZWythHk.js","AssistantPageLink-Dic2Jtb2.js"]}